path: /build/build/bamf-x11-libs-0.5.6.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-doc -python_targets_python3_10 -python_targets_python3_7 -python_targets_python3_8 dbus introspection python_targets_python3_9" emerge x11-libs/bamf -pv -t && \
    USE="-doc -python_targets_python3_10 -python_targets_python3_7 -python_targets_python3_8 dbus introspection python_targets_python3_9" emerge -j ${JOBS} --nodeps x11-libs/bamf
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/bamf && luet-portage --dir /pkgdir/bamf
    x11-libs/bamf && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:4c5ac5d54df3db55d3ba2f4958882695546004981c101041d8bbc786138a4240
  package:
    name: bamf
    version: 0.5.6
    category: x11-libs
    use_flags:
    - -doc
    - -python_targets_python3_10
    - -python_targets_python3_7
    - -python_targets_python3_8
    - dbus
    - introspection
    - python_targets_python3_9
    requires:
    - name: macaroni-funtoo-race18
      version: '>=0'
      category: seed
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: BAMF Application Matching Framework
    uri:
    - https://launchpad.net/bamf
    license: LGPL-3
    buildtimestamp: 2023-10-12 07:01:00.277678147 +0000 UTC m=+147.338477095
    labels:
      BDEPEND: '|| ( dev-lang/vala:0.50[vapigen(+)] dev-lang/vala:0.48[vapigen(+)]
        dev-lang/vala:0.46[vapigen(+)] dev-lang/vala:0.44[vapigen(+)] dev-lang/vala:0.42[vapigen(+)]
        dev-lang/vala:0.40[vapigen(+)] dev-lang/vala:0.36[vapigen(+)] ) python_targets_python3_7?
        ( dev-lang/python:3.7 ) python_targets_python3_9? ( dev-lang/python:3.9 )
        python_targets_python3_8? ( dev-lang/python:3.8 ) python_targets_python3_10?
        ( dev-lang/python:3.10 ) >=dev-lang/python-exec-2:=[python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,python_targets_python3_10(-)?,-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-),-python_single_target_python3_10(-)]
        dev-libs/libxml2[python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,python_targets_python3_10(-)?,-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-),-python_single_target_python3_10(-)]
        dev-util/gdbus-codegen doc? ( dev-util/gtk-doc ) virtual/pkgconfig >=app-portage/elt-patches-20170815
        !<sys-devel/gettext-0.18.1.1-r3 || ( >=sys-devel/automake-1.16.1:1.16 >=sys-devel/automake-1.15.1:1.15
        ) >=sys-devel/autoconf-2.69 >=sys-devel/libtool-2.4'
      DEPEND: dev-libs/dbus-glib dev-libs/glib:2 gnome-base/libgtop:2 x11-libs/gtk+:3
        x11-libs/libX11 >=x11-libs/libwnck-3.4.7:3 dbus? ( dev-libs/libdbusmenu )
        x11-libs/startup-notification introspection? ( dev-libs/gobject-introspection
        )
      IUSE: doc +dbus +introspection static-libs python_targets_python3_7 python_targets_python3_9
        python_targets_python3_8 python_targets_python3_10
      RDEPEND: dev-libs/dbus-glib dev-libs/glib:2 gnome-base/libgtop:2 x11-libs/gtk+:3
        x11-libs/libX11 >=x11-libs/libwnck-3.4.7:3 dbus? ( dev-libs/libdbusmenu )
      emerge.packages: x11-libs/bamf
      kit: mate-kit
      original.package.name: x11-libs/bamf
      original.package.slot: "0"
      original.package.version: 0.5.6
    treedir: /build/packages
  package_dir: /pkgdir/bamf
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: e8577c54ff97512bf1a74c54d2d134fbde7e2d6bf0f1cadb90f658c2f4d1daa2
compressiontype: zstd
files:
- usr/include/libbamf3/libbamf/bamf-application.h
- usr/include/libbamf3/libbamf/bamf-control.h
- usr/include/libbamf3/libbamf/bamf-matcher.h
- usr/include/libbamf3/libbamf/bamf-tab.h
- usr/include/libbamf3/libbamf/bamf-view.h
- usr/include/libbamf3/libbamf/bamf-window.h
- usr/include/libbamf3/libbamf/libbamf.h
- usr/lib/systemd/user/bamfdaemon.service
- usr/lib64/girepository-1.0/Bamf-3.typelib
- usr/lib64/libbamf3.la
- usr/lib64/libbamf3.so
- usr/lib64/libbamf3.so.2
- usr/lib64/libbamf3.so.2.0.0
- usr/lib64/pkgconfig/libbamf3.pc
- usr/libexec/bamf/bamfdaemon
- usr/libexec/bamf/bamfdaemon-dbus-runner
- usr/share/dbus-1/services/org.ayatana.bamf.service
- usr/share/doc/bamf-0.5.6/AUTHORS
- usr/share/doc/bamf-0.5.6/COPYING.LGPL.bz2
- usr/share/doc/bamf-0.5.6/COPYING.bz2
- usr/share/doc/bamf-0.5.6/ChangeLog.bz2
- usr/share/doc/bamf-0.5.6/NEWS
- usr/share/doc/bamf-0.5.6/README
- usr/share/doc/bamf-0.5.6/TODO
- usr/share/gir-1.0/Bamf-3.gir
- usr/share/gtk-doc/html/libbamf/BamfApplication.html
- usr/share/gtk-doc/html/libbamf/BamfControl.html
- usr/share/gtk-doc/html/libbamf/BamfFactory.html
- usr/share/gtk-doc/html/libbamf/BamfMatcher.html
- usr/share/gtk-doc/html/libbamf/BamfTab.html
- usr/share/gtk-doc/html/libbamf/BamfView.html
- usr/share/gtk-doc/html/libbamf/BamfWindow.html
- usr/share/gtk-doc/html/libbamf/annotation-glossary.html
- usr/share/gtk-doc/html/libbamf/api-index-full.html
- usr/share/gtk-doc/html/libbamf/ch01.html
- usr/share/gtk-doc/html/libbamf/home.png
- usr/share/gtk-doc/html/libbamf/index.html
- usr/share/gtk-doc/html/libbamf/left-insensitive.png
- usr/share/gtk-doc/html/libbamf/left.png
- usr/share/gtk-doc/html/libbamf/libbamf.devhelp2
- usr/share/gtk-doc/html/libbamf/object-tree.html
- usr/share/gtk-doc/html/libbamf/right-insensitive.png
- usr/share/gtk-doc/html/libbamf/right.png
- usr/share/gtk-doc/html/libbamf/style.css
- usr/share/gtk-doc/html/libbamf/up-insensitive.png
- usr/share/gtk-doc/html/libbamf/up.png
- usr/share/upstart/sessions/bamfdaemon.conf
- usr/share/vala/vapi/libbamf3.vapi
- var/db/pkg/x11-libs/bamf-0.5.6/BDEPEND
- var/db/pkg/x11-libs/bamf-0.5.6/BUILD_TIME
- var/db/pkg/x11-libs/bamf-0.5.6/CATEGORY
- var/db/pkg/x11-libs/bamf-0.5.6/CBUILD
- var/db/pkg/x11-libs/bamf-0.5.6/CFLAGS
- var/db/pkg/x11-libs/bamf-0.5.6/CHOST
- var/db/pkg/x11-libs/bamf-0.5.6/CONTENTS
- var/db/pkg/x11-libs/bamf-0.5.6/COUNTER
- var/db/pkg/x11-libs/bamf-0.5.6/CXXFLAGS
- var/db/pkg/x11-libs/bamf-0.5.6/DEFINED_PHASES
- var/db/pkg/x11-libs/bamf-0.5.6/DEPEND
- var/db/pkg/x11-libs/bamf-0.5.6/DESCRIPTION
- var/db/pkg/x11-libs/bamf-0.5.6/EAPI
- var/db/pkg/x11-libs/bamf-0.5.6/FEATURES
- var/db/pkg/x11-libs/bamf-0.5.6/HOMEPAGE
- var/db/pkg/x11-libs/bamf-0.5.6/INHERITED
- var/db/pkg/x11-libs/bamf-0.5.6/IUSE
- var/db/pkg/x11-libs/bamf-0.5.6/IUSE_EFFECTIVE
- var/db/pkg/x11-libs/bamf-0.5.6/KEYWORDS
- var/db/pkg/x11-libs/bamf-0.5.6/LDFLAGS
- var/db/pkg/x11-libs/bamf-0.5.6/LICENSE
- var/db/pkg/x11-libs/bamf-0.5.6/NEEDED
- var/db/pkg/x11-libs/bamf-0.5.6/PF
- var/db/pkg/x11-libs/bamf-0.5.6/PROVIDES
- var/db/pkg/x11-libs/bamf-0.5.6/RDEPEND
- var/db/pkg/x11-libs/bamf-0.5.6/REQUIRES
- var/db/pkg/x11-libs/bamf-0.5.6/RESTRICT
- var/db/pkg/x11-libs/bamf-0.5.6/SIZE
- var/db/pkg/x11-libs/bamf-0.5.6/SLOT
- var/db/pkg/x11-libs/bamf-0.5.6/USE
- var/db/pkg/x11-libs/bamf-0.5.6/bamf-0.5.6.ebuild
- var/db/pkg/x11-libs/bamf-0.5.6/environment.bz2
- var/db/pkg/x11-libs/bamf-0.5.6/repository
package_cacheimage: ""
runtime:
  name: bamf
  version: 0.5.6
  category: x11-libs
  use_flags:
  - -doc
  - -python_targets_python3_10
  - -python_targets_python3_7
  - -python_targets_python3_8
  - dbus
  - introspection
  - python_targets_python3_9
  requires:
  - name: libdbusmenu
    version: '>=0'
    category: dev-libs
  - name: libgtop
    version: '>=0'
    category: gnome-base-2
  - name: libX11
    version: '>=0'
    category: x11-libs
  - name: libwnck
    version: '>=0'
    category: x11-libs-3
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: BAMF Application Matching Framework
  uri:
  - https://launchpad.net/bamf
  license: LGPL-3
  labels:
    BDEPEND: '|| ( dev-lang/vala:0.50[vapigen(+)] dev-lang/vala:0.48[vapigen(+)] dev-lang/vala:0.46[vapigen(+)]
      dev-lang/vala:0.44[vapigen(+)] dev-lang/vala:0.42[vapigen(+)] dev-lang/vala:0.40[vapigen(+)]
      dev-lang/vala:0.36[vapigen(+)] ) python_targets_python3_7? ( dev-lang/python:3.7
      ) python_targets_python3_9? ( dev-lang/python:3.9 ) python_targets_python3_8?
      ( dev-lang/python:3.8 ) python_targets_python3_10? ( dev-lang/python:3.10 )
      >=dev-lang/python-exec-2:=[python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,python_targets_python3_10(-)?,-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-),-python_single_target_python3_10(-)]
      dev-libs/libxml2[python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,python_targets_python3_10(-)?,-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-),-python_single_target_python3_10(-)]
      dev-util/gdbus-codegen doc? ( dev-util/gtk-doc ) virtual/pkgconfig >=app-portage/elt-patches-20170815
      !<sys-devel/gettext-0.18.1.1-r3 || ( >=sys-devel/automake-1.16.1:1.16 >=sys-devel/automake-1.15.1:1.15
      ) >=sys-devel/autoconf-2.69 >=sys-devel/libtool-2.4'
    DEPEND: dev-libs/dbus-glib dev-libs/glib:2 gnome-base/libgtop:2 x11-libs/gtk+:3
      x11-libs/libX11 >=x11-libs/libwnck-3.4.7:3 dbus? ( dev-libs/libdbusmenu ) x11-libs/startup-notification
      introspection? ( dev-libs/gobject-introspection )
    IUSE: doc +dbus +introspection static-libs python_targets_python3_7 python_targets_python3_9
      python_targets_python3_8 python_targets_python3_10
    RDEPEND: dev-libs/dbus-glib dev-libs/glib:2 gnome-base/libgtop:2 x11-libs/gtk+:3
      x11-libs/libX11 >=x11-libs/libwnck-3.4.7:3 dbus? ( dev-libs/libdbusmenu )
    emerge.packages: x11-libs/bamf
    kit: mate-kit
    original.package.name: x11-libs/bamf
    original.package.slot: "0"
    original.package.version: 0.5.6
